grk::ResPrecinctInfo Struct Reference

`#include <PacketIter.h>`

## Public Member Functions

| ResPrecinctInfo ()
bool | init (uint8_t resno, uint8_t decomplevel, grk_rect32 tileBounds, uint32_t dx, uint32_t dy, bool windowed, grk_rect32 tileWindow)
void | print (void)

## Public Attributes

uint32_t | precWidthExp
uint32_t | precHeightExp
uint32_t | precWidthExpPRJ
uint32_t | precHeightExpPRJ
uint32_t | resOffsetX0PRJ
uint32_t | resOffsetY0PRJ
uint64_t | precWidthPRJ
uint64_t | precWidthPRJMinusOne
uint64_t | precHeightPRJ
uint64_t | precHeightPRJMinusOne
uint64_t | numPrecincts_
uint64_t | dxPRJ
uint64_t | dyPRJ
uint32_t | resInPrecGridX0
uint32_t | resInPrecGridY0
uint8_t | resno_
uint8_t | decompLevel_
grk_rect32 | tileBoundsPrecPRJ
grk_rect32 | tileBoundsPrecGrid
grk_rect32 | winPrecPRJ
grk_rect32 | winPrecGrid
uint64_t | innerPrecincts_
uint64_t | winPrecinctsLeft_
uint64_t | winPrecinctsRight_
uint64_t | winPrecinctsTop_
uint64_t | winPrecinctsBottom_
bool | valid

## Constructor & Destructor Documentation

## ResPrecinctInfo()

grk::ResPrecinctInfo::ResPrecinctInfo | ( |  | ) |

## Member Function Documentation

## init()

bool grk::ResPrecinctInfo::init | ( | uint8_t | resno,
|  | uint8_t | decomplevel,
|  | grk_rect32 | tileBounds,
|  | uint32_t | dx,
|  | uint32_t | dy,
|  | bool | windowed,
|  | grk_rect32 | tileWindow
| ) |  |

References grk::grk_rect< T >::area(), decompLevel_, dxPRJ, dyPRJ, grk::floordivpow2(), grk::grk_read(), numPrecincts_, precHeightExp, precHeightExpPRJ, precHeightPRJ, precHeightPRJMinusOne, precWidthExp, precWidthExpPRJ, precWidthPRJ, precWidthPRJMinusOne, resInPrecGridX0, resInPrecGridY0, resno_, resOffsetX0PRJ, resOffsetY0PRJ, grk::grk_rect< T >::scale(), grk::grk_rect< T >::scaleDown(), tileBoundsPrecGrid, tileBoundsPrecPRJ, valid, winPrecGrid, and winPrecPRJ.

## print()

void grk::ResPrecinctInfo::print | ( | void |  | ) |

References dxPRJ, dyPRJ, grk::GRK_INFO(), numPrecincts_, precHeightExp, precHeightPRJ, precWidthExp, precWidthPRJ, grk::grk_rect< T >::print(), resno_, tileBoundsPrecGrid, tileBoundsPrecPRJ, winPrecGrid, and winPrecPRJ.

Referenced by grk::PacketIter::printStaticState().

## Member Data Documentation

## decompLevel_

uint8_t grk::ResPrecinctInfo::decompLevel_

Referenced by init().

## dxPRJ

uint64_t grk::ResPrecinctInfo::dxPRJ

Referenced by init(), and print().

## dyPRJ

uint64_t grk::ResPrecinctInfo::dyPRJ

Referenced by init(), and print().

## innerPrecincts_

uint64_t grk::ResPrecinctInfo::innerPrecincts_

Referenced by grk::PacketIter::init().

## numPrecincts_

uint64_t grk::ResPrecinctInfo::numPrecincts_

Referenced by init(), grk::PacketIter::next_lrcpOPT(), grk::PacketIter::next_rlcpOPT(), and print().

## precHeightExp

uint32_t grk::ResPrecinctInfo::precHeightExp

Referenced by init(), and print().

## precHeightExpPRJ

uint32_t grk::ResPrecinctInfo::precHeightExpPRJ

Referenced by init().

## precHeightPRJ

uint64_t grk::ResPrecinctInfo::precHeightPRJ

Referenced by init(), and print().

## precHeightPRJMinusOne

uint64_t grk::ResPrecinctInfo::precHeightPRJMinusOne

Referenced by init().

## precWidthExp

uint32_t grk::ResPrecinctInfo::precWidthExp

Referenced by init(), print(), and grk::PacketIter::validatePrecinct().

## precWidthExpPRJ

uint32_t grk::ResPrecinctInfo::precWidthExpPRJ

Referenced by init().

## precWidthPRJ

uint64_t grk::ResPrecinctInfo::precWidthPRJ

Referenced by init(), and print().

## precWidthPRJMinusOne

uint64_t grk::ResPrecinctInfo::precWidthPRJMinusOne

Referenced by init().

## resInPrecGridX0

uint32_t grk::ResPrecinctInfo::resInPrecGridX0

Referenced by init().

## resInPrecGridY0

uint32_t grk::ResPrecinctInfo::resInPrecGridY0

Referenced by init().

## resno_

uint8_t grk::ResPrecinctInfo::resno_

Referenced by init(), and print().

## resOffsetX0PRJ

uint32_t grk::ResPrecinctInfo::resOffsetX0PRJ

Referenced by init().

## resOffsetY0PRJ

uint32_t grk::ResPrecinctInfo::resOffsetY0PRJ

Referenced by init().

## tileBoundsPrecGrid

grk_rect32 grk::ResPrecinctInfo::tileBoundsPrecGrid

Referenced by init(), and print().

## tileBoundsPrecPRJ

grk_rect32 grk::ResPrecinctInfo::tileBoundsPrecPRJ

Referenced by init(), and print().

## valid

bool grk::ResPrecinctInfo::valid

Referenced by init().

## winPrecGrid

grk_rect32 grk::ResPrecinctInfo::winPrecGrid

Referenced by init(), and print().

## winPrecinctsBottom_

uint64_t grk::ResPrecinctInfo::winPrecinctsBottom_

## winPrecinctsLeft_

uint64_t grk::ResPrecinctInfo::winPrecinctsLeft_

## winPrecinctsRight_

uint64_t grk::ResPrecinctInfo::winPrecinctsRight_

## winPrecinctsTop_

uint64_t grk::ResPrecinctInfo::winPrecinctsTop_

## winPrecPRJ

grk_rect32 grk::ResPrecinctInfo::winPrecPRJ

Referenced by init(), grk::PacketIter::next_rpclOPT(), and print().

The documentation for this struct was generated from the following files:

- PacketIter.h
- PacketIter.cpp